Qt 5.6 | MimeType

Qt 5.6.3 Reference Documentation

# MimeType Class

(QWebPluginFactory::MimeType)

The QWebPluginFactory::MimeType structure describes a mime type supported by a plugin. More...

Header: | #include <MimeType>
qmake: | QT += webkitwidgets
Since: | Qt 4.4

- List of all members, including inherited members

## Public Functions

bool | operator!=(const MimeType &other) const
bool | operator==(const MimeType &other) const

## Public Variables

QString | description
QStringList | fileExtensions
QString | name

## Detailed Description

The QWebPluginFactory::MimeType structure describes a mime type supported by a plugin.

## Member Function Documentation

### bool MimeType::operator!=(const MimeType &other) const

Returns true if this mimetype is different from the other mime type.

### bool MimeType::operator==(const MimeType &other) const

Returns true if this mimetype is the same as the other mime type.

## Member Variable Documentation

### QString MimeType::description

The description of the mime type.

### QStringList MimeType::fileExtensions

The list of file extensions that are used by this mime type.

For example, a mime type for PDF documents would return "pdf" as its file extension.

### QString MimeType::name

The full name of the MIME type; e.g., `text/plain` or `image/png`.